#!/usr/bin/env ruby
#
#############################################################
#
# author:  mathias gumz
# date  :  Fr 31 Okt 2003 16:16:45 CET
# file  :  html
# about :
#
#############################################################
#
# html
#

HEADER = <<END
<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.01 Transitional//EN\"
        \"http://www.w3.org/TR/html4/loose.dtd\">
<html>
<head>
<title>bookmarks</title>
<meta http-equiv=\"Content-Type\" content=\"text/html; charset=ISO-8859-15\" >
</head>
<body>
END

FOOTER = <<END
<hr>
<div>
  automatic created by rbookmark
</div>
</body>
</html>
END


def rendernode(out, node, level)
  space=level * 2 * 10;
  node.each do |n|
    case n.name
    when /folder/
      out.puts "<div style=\"margin-left: #{space}px;\"><h#{level}>#{n.attributes['title']}</h#{level}></div>"
      rendernode(out, n, level + 1)
    when /link/
      uri=n.attributes['href']
      desc=n.text
      out.puts "<div style=\"margin-left: #{space}px;\">#{desc}&nbsp;&nbsp;&raquo;<a href=\"#{uri}\">#{uri}</a>&laquo;</div>"
    end
  end
end


module RBookmarkExport
  def export (out, parent)
    out.puts( "#{HEADER}")
    rendernode(out, parent, 2)
    out.puts("#{FOOTER}")
  end
end












#
#
#
#############################################################
#
#
#############################################################

