#!/usr/bin/env ruby
#
#############################################################
#
# author:  mathias gumz
# date  :  Fr 31 Okt 2003 11:26:26 CET
# file  :  xml
# about :
#
#############################################################
#
# rbookmark-export for raw xml
#


module RBookmarkExport

  require 'rexml/document'
  include REXML

  def addfolder2elem(folder, parent)
    n= Element.new("folder")
    n.add_attribute(Attribute.new("desc", folder.name))
    parent.add_element(n)
    
    folder.folders.each do |f|
      addfolder2elem(f,n)
    end
    folder.uris.each do |u|
      e= Element.new("uri")
      e.add_attribute(Attribute.new("href", u.href))
      e.add_attribute(Attribute.new("desc", u.desc))
      n.add_element(e)
    end
  end

  def export (output, parent)
    doc= Document.new
    addfolder2elem(parent,doc)
    doc.write(output, 2)
  end

end














#
#
#
#############################################################
#
#
#############################################################

